<div>
    <h2 id="page-heading">
        <span>Product Variant Values</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-product-variant-value" [routerLink]="['/product-variant-value/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Product Variant Value
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="productVariantValues?.length === 0">
        <span>No productVariantValues found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="productVariantValues && productVariantValues.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Product Variant Group Id</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Size</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let productVariantValue of productVariantValues ;trackBy: trackId">
                    <td><a [routerLink]="['/product-variant-value', productVariantValue.id, 'view']">{{ productVariantValue.id }}</a></td>
                    <td>{{ productVariantValue.productVariantGroupId }}</td>
                    <td>{{ productVariantValue.name }}</td>
                    <td>{{ productVariantValue.size }}</td>
                    <td>{{ productVariantValue.status }}</td>
                    <td>{{ productVariantValue.active }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/product-variant-value', productVariantValue.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/product-variant-value', productVariantValue.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(productVariantValue)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
